#!/bin/sh

echo "$0: Cleaning up..."
rm -f shipsimu_dev*.zip

echo "$0: Packaging..."
zip -9 shipsimu_dev.zip docs/* Doxyfile *.php *.sh > /dev/null 2>&1
zip -9r shipsimu_dev.zip application/ db/ devel/ Doxyfile inc/ templates/ tests/ > /dev/null 2>&1
zip -d shipsimu_dev.zip docs/warn.log db/user/*.serialized templates/images/_cache/*.png application/ship-simu/templates/images/_cache/*.png > /dev/null 2>&1

echo "$0: Renaming..."
mv shipsimu_dev.zip shipsimu_dev_`date +%Y%m%d_%H%M%S`.zip

echo "$0: All done."
